Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.fields
Interface Field

All Known Subinterfaces:
  BigDecimalAccessor, BigIntegerAccessor, DoubleAccessor, FloatAccessor, IntAccessor, LongAccessor

All Known Implementing Classes:
  BinaryAsBigDecimalField, BinaryAsBigIntegerField, BinaryAsIntField, BinaryAsLongField, ByteArrayField, ExternalDecimalAsBigDecimalField, ExternalDecimalAsBigIntegerField, ExternalDecimalAsIntField, ExternalDecimalAsLongField, ExternalFloatField, IbmDoubleField, IbmFloatField, PackedDecimalAsBigDecimalField, PackedDecimalAsBigIntegerField, PackedDecimalAsIntField, PackedDecimalAsLongField, StringField

    public interface Field

An interface which describes a region of an unspecified byte array. A Field may be used to access a data element stored at the same offset in many different byte arrays. Multiple Field instances can be used to create a template for mapping a record. For this reason, Field objects are often stored as static (class) variables in a record-mapping class.

Field objects are often constructed by a `DatatypeFactory`, which builds consecutive fields at adjoining offsets in a template record.

Method Summary
`int` | `getByteLength()` Answer the length of the field described by the receiver
`int` | `getOffset()` Answer the offset of this field into some array of bytes
`void` | `setOffset(int offset)`

Method Detail

### getByteLength

    int getByteLength()

  Answer the length of the field described by the receiver

  Returns:
    int

### getOffset

    int getOffset()

  Answer the offset of this field into some array of bytes

  Returns:
    int

### setOffset

    void setOffset(int offset)

  See Also:
    `getOffset()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD